#include <engine.h>

#include <rlgl.h>
#include <raymath.h>
//#define RAYGUI_IMPLEMENTATION
//#include <raygui.h>

int main(void) {
	double tick_time = 0.4;
	ENGINE_STATE_E engine_state = SPLASH_SCREEN;
	SetTraceLogLevel(LOG_ALL);
	LoadPipeline();
	Assets *assets = LoadAssets();
	SetExitKey(KEY_NULL);
	while (!WindowShouldClose()) {
		EngineStateSwitch(engine_state);
		//UpdateInput();
		//ComputeIntent();
		//GameLoop(tick_time);
		//Rendering();
	}
	UnloadAssets(assets);
	assets = NULL;//to remember to not use it after
	UnloadPipeline();
	return (0);
}
